-- =============================================
-- Author:		Atzeri Emanuele
-- Create date: <Create Date,,>
-- Description:	<Description,,>
-- =============================================
CREATE PROCEDURE [dbo].[srv_change_codfiscaleMassiva_CU]
	-- Add the parameters for the stored procedure here
AS
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	--SET NOCOUNT ON;
	DECLARE @Vecchio varchar(16)
	DECLARE @Nuovo varchar(16)
	--DECLARE @UltimaData varchar(8)
	--SELECT @UltimaData = MAX(convert(varchar(8), DataOperazione, 112)) FROM [10.10.32.203].C6StampeCentralizzate.dbo.RicodificaMassiva
	DECLARE Ricodifica_cursor CURSOR FOR
--	SELECT Vecchio, Nuovo FROM [10.10.32.203].C6StampeCentralizzate.dbo.RicodificaMassiva
--	WHERE DataOperazione > @UltimaData
	SELECT CF_OLD, CF_NEW FROM [10.10.32.203].C6StampeCentralizzate.dbo.RICODIF_CF_PIVA_CU
	ORDER BY DTINSERIMENTO
	OPEN Ricodifica_cursor
	FETCH NEXT FROM Ricodifica_cursor
	INTO @Vecchio, @Nuovo
	WHILE @@FETCH_STATUS = 0
	BEGIN
		EXEC dbo.sp_change_codfiscale @Nuovo, @Vecchio
		FETCH NEXT FROM Ricodifica_cursor
		INTO @Vecchio, @Nuovo
	END
	CLOSE Ricodifica_cursor
	DEALLOCATE Ricodifica_cursor
END